Bug 3240 - Improve bugzilla and wiki karma plugins to better cover different types of contributions
: Improve bugzilla and wiki karma plugins to better cover different types of co...
Status: VERIFIED FIXED
Product: maemo.org Website
Profile
: unspecified
: All All
: Low enhancement with 1 vote (vote)
: ---
Assigned To: Henri Bergius
: profile-bugs
: http://maemo.org/profile/view/qgil/
:
:
:
  Show dependency tree
 
Reported: 2008-06-12 07:52 UTC by Ryan Abel
Modified: 2008-12-09 16:00 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Ryan Abel (reporter) maemo.org 2008-06-12 07:52:38 UTC
The karma system needs to be improved to better cover different types of
contributions to bugzilla and the wiki.

The current bugzilla plugin only seems to count bugs created, which is only a
small subset of the of the types of contributions you can make to bugzilla. In
particular, it excludes triaging efforts, which are a significant part of what
makes bugzilla tick. So bug editing and commenting should be factored into the
bugzilla karma equation.

The new mediawiki is still in need of a karma plugin, but as the old wiki only
factored in pages created, I'd like to request that the new plugin use the
total number of edits as its metric (should be easier to do with the mediawik,
anyway), as page creation doesn't represent wiki contributions very well.

User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US)
AppleWebKit/525.18 (KHTML, like Gecko, Safari/525.20) OmniWeb/v622.1.0.101362
Comment 1 Kamen Bundev 2008-06-17 09:13:24 UTC
The number of wiki edits can be easily abused and doesn't really represent the
contribution (for instance i often forget to sign or do minor syntax edits
afterward, so my edit number is higher than my actual contribution). Maybe the
amount of changes should taken into account, or only the edits with significant
changes (+-50 chars or so).
Comment 2 Dave Neary maemo.org 2008-06-17 11:33:17 UTC
It's probably as useful as ITT comments, and should be weighted accordingly.

Perhaps karma points based on something like floor(2*log_2 (# of wiki edits))
is an appropriate measure? Someone with 500 comments gets 17 karma points,
someone with 600 gets 18.

You'd want to be pretty motivated to abuse edits to get karma points in these
circumstances...

Dave.
Comment 3 Niels Breet maemo.org 2008-11-10 18:14:35 UTC
I've created a bugzilla comments plugin for karma. It has been tested on the
internal machine, so it can be deployed on maemo.org soon.
Comment 4 Niels Breet maemo.org 2008-11-10 22:38:39 UTC
I've created a karma plugin for mediawiki edits. I currently only counts edits
> 50 chars per Kamen's proposal. Karma value is sqrt(edits). Same for bugzilla
comments. This karma calculation should be ok for now, at least until we reform
the Karma calculation.

Will deploy this tomorrow.
Comment 5 Niels Breet maemo.org 2008-12-09 14:28:34 UTC
Activated some time ago, I consider this FIXED.